Change a play
curl --request PATCH \
--url https://api.retriever.run/v1/plays/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"changes": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
}
}
'import requests
url = "https://api.retriever.run/v1/plays/{id}"
payload = {
"name": "<string>",
"changes": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
changes: {},
limits: {targetQualifiedLeadsPerRun: 123, maxCreditsPerRun: 123}
})
};
fetch('https://api.retriever.run/v1/plays/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.retriever.run/v1/plays/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'changes' => [
],
'limits' => [
'targetQualifiedLeadsPerRun' => 123,
'maxCreditsPerRun' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.retriever.run/v1/plays/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.retriever.run/v1/plays/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.retriever.run/v1/plays/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"status": "draft",
"origin": "onboarding",
"launched": true,
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"leads": "<string>",
"app": "<string>"
},
"workspace_id": "<string>",
"schedule_id": "<string>",
"config": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
},
"leads": {
"to_review": 123,
"accepted": 123,
"rejected": 123,
"in_sequence": 123
},
"left_aside": 123,
"missing_accounts": [
"email"
]
}{
"error": {
"code": "invalid_request",
"message": "prompt: prompt must not be blank",
"details": [
{
"path": "prompt",
"message": "prompt must not be blank"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "Content-Type must be application/json."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry in 12 s."
}
}Plays
Change a play
Name, blocks (changes) or limits; at least one. A block given replaces the play’s: sequence and context whole, delivery field by field. changed is false when nothing differed. changes.delivery.mode: auto turns autopilot on.
PATCH
/
v1
/
plays
/
{id}
Change a play
curl --request PATCH \
--url https://api.retriever.run/v1/plays/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"changes": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
}
}
'import requests
url = "https://api.retriever.run/v1/plays/{id}"
payload = {
"name": "<string>",
"changes": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
changes: {},
limits: {targetQualifiedLeadsPerRun: 123, maxCreditsPerRun: 123}
})
};
fetch('https://api.retriever.run/v1/plays/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.retriever.run/v1/plays/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'changes' => [
],
'limits' => [
'targetQualifiedLeadsPerRun' => 123,
'maxCreditsPerRun' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.retriever.run/v1/plays/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.retriever.run/v1/plays/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.retriever.run/v1/plays/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"changes\": {},\n \"limits\": {\n \"targetQualifiedLeadsPerRun\": 123,\n \"maxCreditsPerRun\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"status": "draft",
"origin": "onboarding",
"launched": true,
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"leads": "<string>",
"app": "<string>"
},
"workspace_id": "<string>",
"schedule_id": "<string>",
"config": {},
"limits": {
"targetQualifiedLeadsPerRun": 123,
"maxCreditsPerRun": 123
},
"leads": {
"to_review": 123,
"accepted": 123,
"rejected": 123,
"in_sequence": 123
},
"left_aside": 123,
"missing_accounts": [
"email"
]
}{
"error": {
"code": "invalid_request",
"message": "prompt: prompt must not be blank",
"details": [
{
"path": "prompt",
"message": "prompt must not be blank"
}
]
}
}{
"error": {
"code": "not_authenticated",
"message": "A valid API key is required."
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "Content-Type must be application/json."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry in 12 s."
}
}Body
application/json
Response
The play, with changed.